Create Landing Purchase
curl --request POST \
--url https://api.example.com/cabinet/landing/{slug}/purchase \
--header 'Content-Type: application/json' \
--data '
{
"tariff_id": 123,
"period_days": 123,
"contact_type": "<string>",
"contact_value": "<string>",
"payment_method": "<string>",
"is_gift": false,
"gift_recipient_type": "<string>",
"gift_recipient_value": "<string>",
"gift_message": "<string>"
}
'import requests
url = "https://api.example.com/cabinet/landing/{slug}/purchase"
payload = {
"tariff_id": 123,
"period_days": 123,
"contact_type": "<string>",
"contact_value": "<string>",
"payment_method": "<string>",
"is_gift": False,
"gift_recipient_type": "<string>",
"gift_recipient_value": "<string>",
"gift_message": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
tariff_id: 123,
period_days: 123,
contact_type: '<string>',
contact_value: '<string>',
payment_method: '<string>',
is_gift: false,
gift_recipient_type: '<string>',
gift_recipient_value: '<string>',
gift_message: '<string>'
})
};
fetch('https://api.example.com/cabinet/landing/{slug}/purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"purchase_token": "<string>",
"payment_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Landing Pages
Create Landing Purchase
Create a guest purchase on a landing page.
No authentication required.
POST
/
cabinet
/
landing
/
{slug}
/
purchase
Create Landing Purchase
Path Parameters
Body
application/json
Pattern:
^(email|telegram)$Required string length:
1 - 255Required string length:
1 - 50Pattern:
^[a-z0-9_]+$Pattern:
^(email|telegram)$Maximum string length:
255Maximum string length:
1000⌘I
